Rate Limiting
Overall request limits
The API is rate-limited to 150 requests every 60 seconds. All requests count towards the total. Every request processed by the API returns rate limiting information in the HTTP headers.
Login request limits
Login requests are rate-limited to 10 requests every 60 seconds. All requests count towards the total.
Statistics request limits
Statistics requests are rate limited to 30 requests per minute for each IP address and 25 requests per minute for each username.
For example, if you log in with your username on a single computer and make 25 statistics requests, the next one you make will fail. However, you could change to a different username and make 5 more statistics requests, before hitting the IP address limit.
Examples
Rate Limiting - Example 1
$ curl -i https://api.example.com/v2/statistics/a/dateWhen the rate limit is exceeded a 429 Too Many Requests HTTP error will be thrown by any subsequent requests until the rate limit is reset. As with a normal request the rate limiting information will be available in the HTTP headers.
Rate Limiting - Example 2 (Limit Exceeded)
Last updated
Was this helpful?

